import api from '@/common/http/'


export default {
  //自动登录
  async autoLogin({
    commit
  }, params) {
    let res = await api.get('/wechat/user/auth', params);
    let {
      data
    } = res;

    console.log(data)

    commit('set_token', data.token);
    commit('set_username', data.accountBase.accountName);
    commit('set_usercode', data.accountBase.accountCode);
    uni.setStorageSync('recycle_mobile_token', data.token);
  },
  
  // 登录
  async login({
    commit
  }, params) {
    let res = await api.post('/wechat/user/mobile-login', params);
    let {
      data
    } = res;

    console.log(data)

    commit('set_token', data.token);
    commit('set_username', data.accountBase.accountName);
    commit('set_usercode', data.accountBase.accountCode);
    uni.setStorageSync('recycle_mobile_token', data.token);
  },

  // 获取用户信息
  async getInfo({
    commit,
    state
  }) {
    let res = await api.post('/account/getaccountinfo', {
      accountCode: state.usercode
    });
    let {
      data
    } = res;
    uni.setStorageSync('recycle_mobile_user', data);
  },

  // 清除登录信息
  resetToken({
    commit
  }) {
    return new Promise(resolve => {
      commit('set_token', '')
      commit('set_username', '')
      commit('set_usercode', '')
      resolve()
    })
  },

}
